Ajax (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.parser
Class Ajax

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.Ajax

public class Ajax
extends java.lang.Object

Used with JNI to access EMBOSS ajax library. This is used to determine sequence attributes and authenticate the server methods.

Field Summary
`private java.lang.String` | `errStd`
`private int` | `fileok`
`java.lang.String` | `home` user home dir
`static int` | `length` sequence length
`int` | `length_soap` sequence length
`private java.lang.String` | `outStd` stdout & stderr from fork
`private int` | `prnt`
`static boolean` | `protein` true if the sequence is protein
`boolean` | `protein_soap` true if the sequence is protein
`private int` | `size`
`static float` | `weight` sequence weight
`float` | `weight_soap` sequence weight

Constructor Summary
`Ajax()`

Method Summary
`boolean` | `delDir(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String directory)`
`boolean` | `delFile(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String filename)`
`boolean` | `forkBatch(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String commandline, java.lang.String directory)`
`boolean` | `forkEmboss(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String commandline, java.lang.String directory)`
`java.lang.String` | `getErrStd()`
`byte[]` | `getFile(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String filename)`
`int` | `getFileok()`
`java.lang.String` | `getOutStd()`
`int` | `getPrnt()`
`int` | `getSize()`
`boolean` | `listDirs(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String directory)`
`boolean` | `listFiles(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String directory)`
`boolean` | `makeDir(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String directory)`
`boolean` | `putFile(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String filename, byte[] bytearray)`
`boolean` | `renameFile(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String filename, java.lang.String filename2)`
`boolean` | `seqAttrib(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String usa)` determine sequence attributes as the user
`boolean` | `seqsetAttrib(java.lang.String username, byte[] password, java.lang.String environment, java.lang.String usa)`
`boolean` | `seqsetType(java.lang.String usa)`
`boolean` | `seqType(java.lang.String usa)` determine sequence attributes
`void` | `setErrStd()`
`void` | `setLength(int length)` Sets the sequence length
`void` | `setProtein(boolean protein)` Sets whether sequence is protein (true)
`void` | `setWeight(float weight)` Sets the sequence weight
`boolean` | `userAuth(java.lang.String username, byte[] password, java.lang.String environment)` authentication methods

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### protein

    public static boolean protein

  true if the sequence is protein

### length

    public static int length

  sequence length

### weight

    public static float weight

  sequence weight

### protein_soap

    public boolean protein_soap

  true if the sequence is protein

### length_soap

    public int length_soap

  sequence length

### weight_soap

    public float weight_soap

  sequence weight

### home

    public java.lang.String home

  user home dir

### outStd

    private java.lang.String outStd

  stdout & stderr from fork

### errStd

    private java.lang.String errStd

### size

    private int size

### prnt

    private int prnt

### fileok

    private int fileok

Constructor Detail

### Ajax

    public Ajax()

Method Detail

### seqType

    public boolean seqType(java.lang.String usa)

  determine sequence attributes

### seqsetType

    public boolean seqsetType(java.lang.String usa)

### seqAttrib

    public boolean seqAttrib(java.lang.String username,
                             byte[] password,
                             java.lang.String environment,
                             java.lang.String usa)

  determine sequence attributes as the user

### seqsetAttrib

    public boolean seqsetAttrib(java.lang.String username,
                                byte[] password,
                                java.lang.String environment,
                                java.lang.String usa)

### userAuth

    public boolean userAuth(java.lang.String username,
                            byte[] password,
                            java.lang.String environment)

  authentication methods

### forkEmboss

    public boolean forkEmboss(java.lang.String username,
                              byte[] password,
                              java.lang.String environment,
                              java.lang.String commandline,
                              java.lang.String directory)

### forkBatch

    public boolean forkBatch(java.lang.String username,
                             byte[] password,
                             java.lang.String environment,
                             java.lang.String commandline,
                             java.lang.String directory)

### makeDir

    public boolean makeDir(java.lang.String username,
                           byte[] password,
                           java.lang.String environment,
                           java.lang.String directory)

### delFile

    public boolean delFile(java.lang.String username,
                           byte[] password,
                           java.lang.String environment,
                           java.lang.String filename)

### renameFile

    public boolean renameFile(java.lang.String username,
                              byte[] password,
                              java.lang.String environment,
                              java.lang.String filename,
                              java.lang.String filename2)

### delDir

    public boolean delDir(java.lang.String username,
                          byte[] password,
                          java.lang.String environment,
                          java.lang.String directory)

### listFiles

    public boolean listFiles(java.lang.String username,
                             byte[] password,
                             java.lang.String environment,
                             java.lang.String directory)

### listDirs

    public boolean listDirs(java.lang.String username,
                            byte[] password,
                            java.lang.String environment,
                            java.lang.String directory)

### getFile

    public byte[] getFile(java.lang.String username,
                          byte[] password,
                          java.lang.String environment,
                          java.lang.String filename)

### putFile

    public boolean putFile(java.lang.String username,
                           byte[] password,
                           java.lang.String environment,
                           java.lang.String filename,
                           byte[] bytearray)

### setLength

    public void setLength(int length)

  Sets the sequence length

### setWeight

    public void setWeight(float weight)

  Sets the sequence weight

### setProtein

    public void setProtein(boolean protein)

  Sets whether sequence is protein (true)

### getOutStd

    public java.lang.String getOutStd()

### getErrStd

    public java.lang.String getErrStd()

### setErrStd

    public void setErrStd()

### getSize

    public int getSize()

### getPrnt

    public int getPrnt()

### getFileok

    public int getFileok()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD